Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceContact

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/contact")
      public interface ServiceContact
      extends org.fusesource.restygwt.client.RestService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `getContacts​(String type, String filter, int pageSize, int startIndex, org.fusesource.restygwt.client.MethodCallback<List<DetailUserDTO>> callback)` |
    `void` | `getContactsFiltered​(String type, String filter, org.fusesource.restygwt.client.MethodCallback<List<DetailUserDTO>> callback)` |
    `void` | `hasContacts​(org.fusesource.restygwt.client.MethodCallback<ContactFilters> callback)` |

- - ### Method Detail

    - #### getContacts

          @GET
          @Produces("application/json")
          @Path("paging/{type}/")
          void getContacts​(@PathParam("type")
                           String type,
                           @QueryParam("filter")
                           String filter,
                           @QueryParam("pageSize")
                           int pageSize,
                           @QueryParam("startIndex")
                           int startIndex,
                           org.fusesource.restygwt.client.MethodCallback<List<DetailUserDTO>> callback)

    - #### hasContacts

          @GET
          @Produces("application/json")
          @Path("hasContacts/")
          void hasContacts​(org.fusesource.restygwt.client.MethodCallback<ContactFilters> callback)

    - #### getContactsFiltered

          @GET
          @Produces("application/json")
          @Path("{type}/")
          void getContactsFiltered​(@PathParam("type")
                                   String type,
                                   @QueryParam("filter")
                                   String filter,
                                   org.fusesource.restygwt.client.MethodCallback<List<DetailUserDTO>> callback)